Bug 966607 - [RESt-API]: 'data_center-id' is not included in autocompletion list for 'update cluster'
[RESt-API]: 'data_center-id' is not included in autocompletion list for 'upda...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Ori Liel
Ilia Meerovich
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 10:32 EDT by Katarzyna Jachim
Modified: 2016-02-10 14:42 EST (History)
7 users (show)

See Also:
Fixed In Version: is2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:18:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 15314 None None None Never

  None (edit)
Description Katarzyna Jachim 2013-05-23 10:32:09 EDT
Description of problem:
command "update cluster localfsStorageTest --data_center-id ..." works and attaches cluster to a datacenter, but 'data_center-id' is not on autocompletion list for 'update cluster'

[RHEVM shell (connected)]# update cluster localfsStorageTest 
correlation_id                               memory_policy-transparent_hugepages-enabled  threads_as_cores
cpu-id                                       name                                         version-major
description                                  scheduling_policy-policy                     version-minor
error_handling-on_error                      scheduling_policy-thresholds-duration        virt_service
gluster_service                              scheduling_policy-thresholds-high            
memory_policy-overcommit-percent             scheduling_policy-thresholds-low    



Version-Release number of selected component (if applicable): sf17
Comment 1 Ori Liel 2013-06-03 07:34:15 EDT
http://gerrit.ovirt.org/#/c/15314/1
Comment 2 Ilia Meerovich 2013-07-03 03:56:09 EDT
[root@ilia-rhevm ~]#  /usr/bin/rhevm-shell -c --url=https://ilia-rhevm.qa.lab.tlv.redhat.com:443/api/ -u admin@internal -I
Password: 

 ==========================================
 >>> connected to RHEVM manager 3.3.0.0 <<<
 ==========================================


        
 ++++++++++++++++++++++++++++++++++++++++++
 
           Welcome to RHEVM shell
 
 ++++++++++++++++++++++++++++++++++++++++++
        
    
[RHEVM shell (connected)]# update cluster 
correlation_id                               description                                  memory_policy-transparent_hugepages-enabled  scheduling_policy-thresholds-high            version-major
cpu-id                                       error_handling-on_error                      name                                         scheduling_policy-thresholds-low             version-minor
data_center-id                               gluster_service                              scheduling_policy-policy                     threads_as_cores                             virt_service
datacenter                                   memory_policy-overcommit-percent             scheduling_policy-thresholds-duration        tunnel_migration                             
[RHEVM shell (connected)]# list clusters 

id         : 99408929-82cf-4dc7-a532-9d998063fa95
name       : Default
description: The default server cluster

[RHEVM shell (connected)]# update cluster Default 
correlation_id                               description                                  memory_policy-transparent_hugepages-enabled  scheduling_policy-thresholds-high            version-major
cpu-id                                       error_handling-on_error                      name                                         scheduling_policy-thresholds-low             version-minor
data_center-id                               gluster_service                              scheduling_policy-policy                     threads_as_cores                             virt_service
datacenter                                   memory_policy-overcommit-percent             scheduling_policy-thresholds-duration        tunnel_migration                             
[RHEVM shell (connected)]# update cluster Default data
data_center-id  datacenter      
[RHEVM shell (connected)]# 
[RHEVM shell (connected)]# exit
[root@ilia-rhevm ~]# rpm -q rhevm-cli
rhevm-cli-3.3.0.3-1.el6ev.noarch
[root@ilia-rhevm ~]#
Comment 3 Itamar Heim 2014-01-21 17:18:12 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:24:36 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.